# GimpUi.PageSelector.select_range

    @accepts(GimpUi.PageSelector, unicode)
    @returns(none)
    def select_range(self, range):
        # Python wrapper for gimp_page_selector_select_range()

Selects the pages described by range. The range string is a user-editable list of pages and ranges, e.g. "1,3,5-7,9-12,14". Note that the page numbering in the range string starts with 1, not 0.

Invalid pages and ranges will be silently ignored, duplicate and overlapping pages and ranges will be merged.

Since 2.4

self

  Pointer to a GimpUi.PageSelector.

range

  A string representing the set of selected pages.